EDIT - feature request #4922

GrantedAuthorities not reusable anymore
05/21/2015 01:36 PM - Katja Luther

Status: New Start date:

Priority: Priority10 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: normal

Description

Currently granted authorities are reusable. We want to make them group/user specific. Whenever a GA is removed from its owner it

should be completely deleted from the DB.

GAs which are to be used by multiple owners need to be cloned.

We need to remove the unique index from the authority string and make he sets orphanRemoval = true.

During later processing or selection existing strings need to be deduplicated. => create new ticket for TaxEditor and cdmlib-security

see also #3785

Related issues:
Related to EDIT - task #7099: Make CdmAuthority a persistable class
Related to EDIT - feature request #8464: Make AuthorityBases unique

Closed
New

History

#1 - 06/04/2015 02:20 PM - Andreas Miiller
- Target version deleted (CDM UML 3.6)

#2 - 05/02/2016 03:45 PM - Andreas Miiller
- Target version changed from CDM UML 4.0 to CDM UML 4.1

#3 - 07/08/2016 08:49 PM - Andreas Miiller
- Priority changed from Priority12 to Priority10

#4 - 12/01/2016 01:51 PM - Andreas Miiller
- Target version changed from CDM UML 4.1 to COM UML 4.7

#5 - 06/07/2017 01:17 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to COM UML 5.0

#6 - 05/08/2018 07:21 PM - Andreas Miiller
- Related to task #7099: Make CdmAuthority a persistable class added

#7 - 05/08/2018 07:22 PM - Andreas Miiller
- Description updated

- Target version changed from CDM UML 5.0 to CDM UML 5.5

need to check if this is still relevant

#8 - 05/11/2018 10:07 AM - Andreas Kohlbecker

can someone add some more detail to shed some light on the need for this?

#9 - 02/19/2019 10:16 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15
#10 - 02/19/2019 11:02 AM - Andreas Kohlbecker

| have concerns about duplicating GAs as this will complicate first data inserters and managing of default GAs in general.

#12 - 08/12/2019 02:02 PM - Andreas Kohlbecker

- Tags set to permission

#13 - 08/14/2019 10:52 AM - Andreas Miiller
- Tags deleted (permission)

- Private changed from Yes to No

#14 - 08/14/2019 10:57 AM - Andreas Miiller
- Related to feature request #8464: Make AuthorityBases unique added

#15 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43
